#
# spec file for package cargo-vendor
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2017 Luke Jones, luke.nukem.jones@gmail.com
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cargo-vendor
Version:        0.1.13
Release:        lp151.2.54
Summary:        A Cargo subcommand to vendor Rust dependencies
License:        MIT or Apache-2.0
Group:          Development/Languages/Rust
Url:            https://github.com/alexcrichton/cargo-vendor
Source0:        %{name}-%{version}.tar.gz
Source1:        vendor.tar.xz
BuildRequires:  cargo
BuildRequires:  cmake
# BuildRequires:  pkgconfig(libgit2)
BuildRequires:  rust
BuildRequires:  rust-std
BuildRequires:  pkgconfig(libssl)
BuildRequires:  pkgconfig(openssl)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a Cargo subcommand which vendors all crates.io dependencies into a local directory using Cargo's support for source replacement.

%prep
%setup -q
%setup -q -D -T -a 1
mkdir cargo-home
cat >cargo-home/config <<EOF
[source.crates-io]
registry = 'https://github.com/rust-lang/crates.io-index'
replace-with = 'vendored-sources'
[source.vendored-sources]
directory = './vendor'
EOF

%build
export CARGO_HOME=`pwd`/cargo-home/
cargo build --release %{?_smp_mflags}

%install
mkdir build
export CARGO_HOME=`pwd`/cargo-home/
cargo install --root=build
mkdir -p %{buildroot}%{_bindir}
install -Dm0755 build/bin/cargo-vendor %{buildroot}%{_bindir}/cargo-vendor

%files
%defattr(-,root,root)
%doc LICENSE-MIT LICENSE-APACHE README.md
%{_bindir}/cargo-vendor

%changelog
* Tue Jan 16 2018 mmanu84@outlook.de
- Update to 0.1.13
  + no changelog provided
* Sat Oct 21 2017 luke.nukem.jones@gmail.com
- Update to 0.1.12
  + no changelog provided
* Tue Sep  5 2017 luke.nukem.jones@gmail.com
- Update to 0.1.11
  + no changelog provided
* Fri Jun  9 2017 luke.nukem.jones@gmail.com
- Initial packaging
  ``
